Thread: httpd + openssl : compilation issues while using shared openssl library

  1. #1
    Registered User
    Join Date
    Mar 2008
    Location
    India
    Posts
    127

    httpd + openssl : compilation issues while using shared openssl library

    I am using httpd-2.2.31 , trying to use openssl-1.0.2t with --with-ssl and --enable-ssl parameter.

    --with-ssl points to the openssl installed directory.

    I am having redhat 5.7 with x86_64 ,where the compiled binaries would be running.

    Used the openssl parameters of shared ,to get ssl shared objects while compiling the openssl in centos 5.7 .


    i try to use ssl as shared library , i get below error

    opt/apache/bin/httpd: error while loading shared libraries: /opt/apache/lib/libssl.so.1.0.0: requires glibc 2.5 or later dynamic linker
    apxs:Error: Sorry, no shared object support for Apache.
    apxs:Error: available under your platform. Make sure.
    apxs:Error: the Apache module mod_so is compiled into.



    Any inputs on this would be appreciated.

  2. #2
    Informer -Adrian's Avatar
    Join Date
    Jan 2013
    Posts
    814
    I'm not sure what exactly your question is, but the errors point to:

    1. Your glibc being too old
    2. Apache needing to be compiled with mod_so module support


    So naturally, you'd want to upgrade to a more recent version of your OS. Why are you sticking RHEL 5 anyway? Some legacy system that would be too expensive to modernize?

  3. #3
    Registered User
    Join Date
    Mar 2008
    Location
    India
    Posts
    127
    I am trying to upgrade openssl package for one my target board package .

    This is legacy code . It has already shared objects of previous version openssl-1.0.1t .Here i am trying to upgrade openssl to 1.0.2t.

    The httpd binary runs in the redhat el 5.7.

    Here to update the dependent libraries , I Take the source and get compiled in centos 5.7 , take the installed libraries and use them httpd compilation with --with-ssl=<installed dir>

    The issue i think is with steps or the system where i am trying to generate the openssl shared objects.

    Why so because , even if i try with the old source 1.0.1t and use those generated libraries i get same error.

    Should i compile in redhat 5.7 EL only ?. will that make any difference ?.

  4. #4
    Registered User
    Join Date
    May 2009
    Posts
    3,675
    I suggest trying a static only build [of libssl] maybe using "no-shared" or maybe "-static" configure option.

    Note: This is a mostly wild guess. Tim S.
    Last edited by stahta01; 10-09-2019 at 09:34 PM.
    "...a computer is a stupid machine with the ability to do incredibly smart things, while computer programmers are smart people with the ability to do incredibly stupid things. They are,in short, a perfect match.." Bill Bryson

Popular pages Recent additions subscribe to a feed

Similar Threads

  1. How to set RSA key in openssl
    By homoon in forum C Programming
    Replies: 8
    Last Post: 04-27-2012, 02:20 PM
  2. Need help with OpenSSL
    By Ricardo_R5 in forum C Programming
    Replies: 0
    Last Post: 05-07-2007, 06:18 PM
  3. Using OpenSSL with Dev-C++
    By Smiley10 in forum C Programming
    Replies: 2
    Last Post: 07-08-2006, 10:27 AM
  4. OpenSSL AES library documentation
    By kronixx in forum C Programming
    Replies: 1
    Last Post: 11-21-2005, 12:24 PM
  5. openssl on win2k
    By rzcodeman in forum Networking/Device Communication
    Replies: 4
    Last Post: 04-09-2004, 07:58 PM

Tags for this Thread